Site announcements

General news and announcements
Showing 100 of 462 discussions
  Discussion Started by Replies Last post Created  
58 Air India pilots reported have tested positive in pre-flight alcohol test…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 4 Oct 2018, 9:59 AM
British Airways celebrates the 60th anniversary of its first jet propulsion flight…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 4 Oct 2018, 9:51 AM
British Airways celebrates the 60th anniversary of its first jet propulsion flight…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 4 Oct 2018, 9:35 AM
Airbus added third A350 XWB Full-Flight Simulator to its training centre in Singapore….
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 4 Oct 2018, 9:32 AM
Germania Airbus A319 veered off the runway while taxiing out for departure
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 4 Oct 2018, 9:21 AM
Delta Boeing 767, rejected takeoff – Gear caught fire
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 4 Oct 2018, 9:17 AM
Malindo Air took a wrong turn after takeoff at Melbourne airport…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 4 Oct 2018, 9:13 AM
Two military antonov planes collided on the runway…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 4 Oct 2018, 8:49 AM
AirBaltic Airbus A220-300 suffered a bird strike soon after take off
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:40 AM
12 hospitalised – Volaris Airbus A320-200 flight Y4-423 encountered turbulence.
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:38 AM
This is how Hong Kong Airport Services (HAS) ground staff handling luggage.
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:36 AM
LATAM A320 smashed onto the trees while being towed at Congonhas Airport (CGH)…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:32 AM
Mutiara Sis Al Jufri Palu Airport was damaged following 7.5magnitude earthquake…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:29 AM
Pilot error – VIM airlines Boeing 737 runway excursion…-Investigation report.
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:26 AM
Historic Photo – The first female Concorde pilot met RAF fighter jet pilot
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:22 AM
Kansai airport shuts two runways…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:19 AM
Niugini Boeing 737 overshoot runway and landed in the ocean…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:18 AM
Αεροσκάφος προσγειώθηκε σε λιμνοθάλασσα στη Νέα Γουινέα
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:13 AM
Επιβάτης μπέρδεψε την πόρτα της τουαλέτας με την έξοδο
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:09 AM
ΗΠΑ: Αεροπλάνο βγήκε εκτός του διαδρόμου προσγείωσης
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:08 AM
Κρήτη: Αεροπλάνο άλλαξε προορισμό προσγείωσης λόγω κακοκαιρίας
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:03 AM
Ξεκίνησε πτήσεις το Μη Επανδρωμένο Αεροσκάφος της FRONTEX
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 1 Oct 2018, 9:01 AM
Κουτιά στο αεροδρόμιο της Σκιάθου για να επιστραφούν βότσαλα από παραλία
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 25 Sep 2018, 8:32 AM
Μεθυσμένος επιβάτης επιτέθηκε και χτύπησε αεροσυνοδό
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 25 Sep 2018, 8:28 AM
Προσγείωση-θρίλερ για Airbus της Air France εξαιτίας ισχυρών ανέμων (video)
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 25 Sep 2018, 8:26 AM
Ρωσικό κατασκοπευτικό αεροπλάνο εξαφανίστηκε πάνω από τη Μεσόγειο
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 19 Sep 2018, 8:13 AM
Τράβηξε σε βίντεο τον φονικό ανεμοστρόβιλο από το αεροπλάνο
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 19 Sep 2018, 8:08 AM
Απέλυσαν αεροσυνοδό που δέχθηκε πρόταση γάμου εν πτήσει
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 19 Sep 2018, 8:06 AM
Αναγκαστική προσγείωση αεροσκάφους στην Πάφο
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 19 Sep 2018, 8:02 AM
Alitalia Boeing 777 was forced to divert dumping fuel due to unruly passenger
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 12:23 PM
Firefighter killed by a fallen tree, uprooted by a low flying Boeing 747 supertanker..
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 12:20 PM
Air Astana Airbus A320 engine emitted thick smoke after landing…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 12:17 PM
Pobeda Airlines Boeing 737-800 collides with the fire truck….
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 12:15 PM
Cathay Pacific cancelled all flights to Hong Kong Airport due to Super Typhoon Mangkhut…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 12:12 PM
Some of the best aviation related photos by/via Reuters
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 12:05 PM
Tigerair grounded Boeing 737 maintained by an offshore maintenance facility..
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 11:58 AM
More than 5,500 flights were cancelled due to Typhoon Mangkhut…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 11:54 AM
ANA’s first A380 has taken to the sky for the first time…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 11:52 AM
FAA warned commercial operators to “exercise caution when flying over Iran..”
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 11:50 AM
Υπάλληλος αεροδρομίου ανοίγει και κλέβει βαλίτσα (vid)
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 11:48 AM
Αγνοείται ρωσικό στρατιωτικό αεροσκάφος με 14μελές πλήρωμα
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 18 Sep 2018, 11:38 AM
A disruptive passenger forced Qantas flight bound for London to turn back..
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 12 Sep 2018, 2:00 PM
Dallas/Fort Worth International Airport Fire Training…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 12 Sep 2018, 1:58 PM
Egypt Air Boeing 737 suffered Multiple tire burst on landing
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 12 Sep 2018, 1:56 PM
Φίδι σκόρπισε τον πανικό σε αεροδρόμιο στις Φιλιππίνες (video)
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 12 Sep 2018, 1:49 PM
KLM: Νέα υπηρεσία επαυξημένης πραγματικότητας για τον έλεγχο των χειραποσκευών
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 12 Sep 2018, 1:44 PM
British Airways: Οι συνέπειες μιας κυβερνοεπίθεσης…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 12 Sep 2018, 1:42 PM
Air India A320 flight #AI263 landed on the non-operational runway at Male Velana International Airport…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 10 Sep 2018, 10:04 AM
At least 19 people have died on a plane crash in South Sudan..
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 10 Sep 2018, 9:57 AM
Student pilot made an emergency landing after losing the main gear wheel…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 10 Sep 2018, 9:53 AM
Ρωσία: Ένα νέο υπερηχητικό αεροσκάφος σχεδιάζει η Tupolev
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 10 Sep 2018, 9:31 AM
Εκκωφαντικός θόρυβος από εικονική αερομαχία στη Μυτιλήνη
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 10 Sep 2018, 9:14 AM
Νότιο Σουδάν: 19 νεκροί σε συντριβή μικρού αεροσκάφους
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 10 Sep 2018, 8:47 AM
A-400M: Το τέλος ενός «Άτλαντα» - ΦΩΤΟ
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 10 Sep 2018, 8:45 AM
World’s longest-span aircraft hangar….
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Fri, 7 Sep 2018, 8:32 AM
Powerful earthquake hit the Japan’s Hokkaido island… Chitose Airport closed…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Fri, 7 Sep 2018, 8:29 AM
Delta Airlines Boeing 757-200 experienced uncontained engine failure in flight..
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Fri, 7 Sep 2018, 8:27 AM
Υποκλοπή στοιχείων από επιβάτες της British Airways
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Fri, 7 Sep 2018, 8:23 AM
Σε καραντίνα δύο αεροσκάφη στη Φιλαδέλφεια - Επιβάτες παρουσίασαν συμπτώματα γρίπης
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Fri, 7 Sep 2018, 8:20 AM
Αποθαλάσσωση επενδύσεων 250 εκατ. για τα υδροπλάνα
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Fri, 7 Sep 2018, 8:17 AM
Indian Airforce MIG 27 crashed and burst into flames…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 6 Sep 2018, 8:25 AM
Japan Kansai Airport flooded… more than 700 flights cancelled
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 6 Sep 2018, 8:20 AM
Ethiopian Boeing 737 and Neos Boeing 767 were head on at FL370…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 6 Sep 2018, 8:18 AM
Capital Airlines A320 collided with parked China Eastern A320…..
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 6 Sep 2018, 8:15 AM
Pilot killed in a singe-engine plane crash…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 6 Sep 2018, 8:14 AM
Kansai Airport remain closed – more than 3000 people stranded at the airport has been evacuated…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 6 Sep 2018, 8:12 AM
Iberia Airbus A340-600 damaged in a hard landing…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 6 Sep 2018, 8:09 AM
Emirates A380 Flight EK203 was placed under quarantine at JFK airport
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 6 Sep 2018, 8:07 AM
Antonov An-2 nosed-over on landing..
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 4 Sep 2018, 9:51 AM
The next generation Aircraft propulsion system…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 4 Sep 2018, 9:39 AM
Βελτιωμένη ασύρματη επικοινωνία μεταξύ υποβρυχίων και αεροσκαφών
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 4 Sep 2018, 9:32 AM
Air Canada A321 landed despite being ordered to execute ‘go-around’
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 3 Sep 2018, 9:40 AM
Malaysia Airlines A330-300 took off despite error in airspeed reading – Investigation Report
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 3 Sep 2018, 9:38 AM
18 killed in a Ethiopian military plane crash
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 3 Sep 2018, 9:36 AM
UTair Boeing 737 overrun the runway and its engine caught fire.
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 3 Sep 2018, 9:35 AM
Nepal Yeti Airlines Jetstream 41 runway excursion…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 3 Sep 2018, 9:32 AM
Aπογείωση αεροπλάνου κόβει την ανάσα (vid)
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 3 Sep 2018, 9:27 AM
Κίνα: Το νέο φουτουριστικό αεροδρόμιο του Πεκίνου
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Mon, 3 Sep 2018, 9:23 AM
Capital Airlines A320 -, Nose wheel bogey broke away and hit the engine on hard landing
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 29 Aug 2018, 11:14 AM
Video – One of the most dangerous landings
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 29 Aug 2018, 11:06 AM
Πτώση εκπαιδευτικού αεροσκάφους νοτίως της Τρίπολης
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 29 Aug 2018, 11:02 AM
Πούλησε ανύπαρκτο αεροδρόμιο για 242 εκ. δολάρια
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Wed, 29 Aug 2018, 11:00 AM
Πράγα: Εκκενώθηκε αεροσκάφος λόγω αναφοράς για φωτιά
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 28 Aug 2018, 2:05 PM
Iράν: Συνετρίβη μαχητικό αεροσκάφος – Νεκρός ο πιλότος
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 28 Aug 2018, 2:04 PM
Taiwan Huaxin Airlines ATR-72 overran at Taichung City Airport…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 28 Aug 2018, 2:02 PM
Ural Airlines Airbus A320 mistakenly landed on a closed runway at Ulan-Ude airport
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 28 Aug 2018, 2:01 PM
ANA Boeing 787 swaying on approach…
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 28 Aug 2018, 1:57 PM
Due to Trent 1000 Engine issues, Air New Zealand is using EVA air Boeing 777
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 28 Aug 2018, 1:53 PM
Captain of US-Bangla plane that crashed in March, killing 51 people, had lied to the control tower during the final approach.
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 28 Aug 2018, 1:51 PM
52 year old Antonov AN2 was badly damaged by fire from engine exhaust
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 9:00 AM
Fuel truck collided with United Boeing 737 at O’Hare Airport
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:54 AM
Video – Little rock police helicopter crash
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:38 AM
Red Wing Tu-204 with 202 passengers made an emergency landing after engine fire
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:37 AM
F-35A Lightning II, nose gear collapsed on emergency landing
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:35 AM
Νιου Τζέρσεϋ: Αεροπλάνο έκανε αναγκαστική προσγείωση
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:32 AM
Γερμανικό καταδιωκτικό αεροπλάνο στο βυθό της Κρήτης (vid)
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:25 AM
Συντριβή μαχητικού αεροσκάφους μετά από σύγκρουση με σμήνος πουλιών
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:21 AM
Δραματικό βίντεο: Αεροσκάφος προσγειώνεται με φλεγόμενο κινητήρα
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:10 AM
Σκιάθος: Σοβαρό ατύχημα με 12χρονο που εκτινάχθηκε και τραυματίστηκε από αέρια αεροπλάνου
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Thu, 23 Aug 2018, 8:07 AM
Xiamen Airlines B737 runway excursion – port engine detached.
Picture of Kiriakos Tsakiridis
Kiriakos Tsakiridis
0 Tue, 21 Aug 2018, 1:00 PM